Name:           zaz
Version:        1.0.0
Release:        %mkrel 2
Summary:        A puzzle game where the player has to arrange balls in triplets
Group:          Games/Puzzles
License:        GPLv3+, CC-BY-SA, OFL
URL:            http://sourceforge.net/projects/zaz/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
Source1:	http://openfontlibrary.org/people/phranzysko/phranzysko_-_Digna_s_Handwriting.ttf
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}
BuildRequires:  %{_lib}mesagl1-devel
BuildRequires:  SDL_image-devel
BuildRequires:  libtheora-devel
BuildRequires:  libvorbis-devel
BuildRequires:  %{_lib}ftgl-devel  >= 2.1.3
BuildRequires:  gettext
BuildRequires:  desktop-file-utils
Requires:	fonts-ttf-freefont

%description
Zaz is an arcade action puzzle game where the goal is to get rid of all
incoming balls by rearranging their order and making triplets.

A 3D accelerator is needed for decent gameplay.


%prep
%setup -q

# Fix permissions
chmod 644 src/*.{cpp,h}


%build
./configure --program-prefix= \
        --prefix=/usr \
        --exec-prefix=/usr \
        --bindir=/usr/bin \
        --sbindir=/usr/sbin \
        --sysconfdir=/etc \
        --datadir=/usr/share \
        --includedir=/usr/include \
        --libdir=/usr/lib \
        --libexecdir=/usr/lib \
        --localstatedir=/var/lib \
        --sharedstatedir=/usr/com \
        --mandir=/usr/share/man \
        --infodir=/usr/share/info

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Install the Digna's handwriting font.
install -m 0755 -d %{buildroot}%{_datadir}/fonts/oflb-dignas-handwriting/
install -m 0644 -p %{SOURCE1} %{buildroot}%{_datadir}/fonts/oflb-dignas-handwriting/

# Symlink system fonts
rm $RPM_BUILD_ROOT%{_datadir}/%{name}/FreeMonoBold.ttf
ln -s %{_datadir}/fonts/TTF/FreeMonoBold.ttf \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/FreeMonoBold.ttf
rm $RPM_BUILD_ROOT%{_datadir}/%{name}/FreeSans.ttf
ln -s %{_datadir}/fonts/TTF/FreeSans.ttf \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/FreeSans.ttf
rm $RPM_BUILD_ROOT%{_datadir}/%{name}/font1.ttf
ln -s %{_datadir}/fonts/oflb-dignas-handwriting/phranzysko_-_Digna_s_Handwriting.ttf \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/font1.ttf

# Remove docs
rm -r $RPM_BUILD_ROOT/usr/share/doc/

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Games-Puzzles" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/fonts/oflb-dignas-handwriting/phranzysko_-_Digna_s_Handwriting.ttf
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm
%doc AUTHORS ChangeLog COPYING data/copyright.txt


%changelog
* Wed Feb 01 2012 Neal <nealbrks0 at gmail dot com> 1.0.0-2pclos2012
- 64bit build

* Sun Nov 07 2010 Texstar <texstar at gmail.com> 1.0.0-2pclos2010
- convert source to tar.xz
- add menu entry for all desktops

* Thu Nov 04 2010 Ertain <sirius-c at iname.com> 1.0.0-1pclos2010
- Initial package based upon the Fedora sources.
